* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: sans-serif;
    background-color: #FDECDC;
}

.navbar_cont {
    position: fixed;
    top: 0;
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 14px 40px;
    background-color: #FDECDC;
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.15);
    z-index: 999;
}

.navbar_icon {
    color: #B41A1A;
    font-family: sans-serif;
    font-weight: bolder;
    font-size: 24px;
}

#shop_tag {
    background-color: #B41A1A;
    border: none;
    outline: none;
    color: #FDECDC;
    padding: 8px 16px;
    border-radius: 10px;
    cursor: pointer;
}

#shop_tag:hover {
    background-color: #2A4562;
}

.navbar_menu {
    display: flex;
    align-items: center;
    gap: 32px; 
}

.menu_item {
    color: #B41A1A;
    font-size: 14px;
}

.menu_item:hover {
    color: #2A4562;
    background: rgba(0, 0, 0, 0.01);
}
a {
    text-decoration: none;
}

.hero_page {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #FDECDC;   
    padding-bottom: 100px;
}

.hero_sect {
    display: flex;
}
.hero_img {
    height: 251px;
    width: 300px;
    margin-top: 120px;
}

.hero_title {
    height: 202px;
    width: 486px;
    margin-top: 120px;
}

.hero_text p {
    color: #B41A1A;
    font-size: 10px;
}

.hero_text {
    text-align: center;
    justify-content: center;
    display: flex;
    flex-direction: column;
} 

.hero_btn {
    border: none;
    outline: none;
    border-radius: 10px;
    cursor: pointer;
}

.hero_buttons {
    font-size: 12px;
    display: flex;
    gap: 20px;
    margin-top: 20px;
    margin-left: 110px;
}

.en_xo_text {
    color: #FDECDC;
}

.en_xo {
    background-color: #B41A1A;
    padding: 10px 50px;
}

.en_xo:hover {
    transform: translateY(-3px);
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.15);
    transition: all ease 0.2s;
}

#shop_tag:hover {
    transform: translateY(-3px);
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.15);
    transition: all ease 0.2s;
}

.en_1009 {
    padding: 10px 20px;
    background-color: #FDECDC;
    border-color: #B41A1A;
    border-width: 1px 1px;
    border-style: solid;
}

.en_1009:hover {
    transform: translateY(-3px);
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.15);
    background-color: #B41A1A;
    color: #FDECDC;
    transition: all ease 0.2s;
}

.en_1009_text {
    color: #B41A1A;
}

.members_cards {
    display: flex;
    flex-wrap: wrap;
    box-sizing: border-box;
    padding: 20px;
    justify-content: center;
}

.mem_img {
    height: 188px;
    width: 140px;
    border-radius: 18px;
}

.mem_title {
    color: #B41A1A;
    font-size: 20px;
    text-align: center;
    padding-top: 40px;
    font-family: 'Cormorant Garamond', serif;
    font-weight: 600;
}

.mem_name {
    color: #B41A1A;
    text-align: center;
    padding: 4px;
    font-size: 12px;
}

.each_mem {
    padding: 10px;
    padding-top: 0;
}

.each_mem:hover {
    transform: translateY(-10px);
    cursor: pointer;
    transition: transform 0.1s ease-in-out;
}

.mem_id {
    position: fixed;
    inset: 0;
    background: rgba(233, 150, 150, 0.3);
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 999;
}

.mem_id.active {
    display: flex;
}

.id_card {
    background: #FDECDC;
    padding: 18px;
    border-radius: 12px;
    width: 400px;
    animation: pop 0.3s ease;
    position: relative;
    z-index: 1000;
    display: flex;
}

@keyframes pop {
    from { transform: scale(0.85); opacity: 0;}
    to { transform: scale(1); opacity: 1;}
}

.close_id {
    cursor: pointer;
    font-size: 24px;
    float: right;
    position: absolute;
    z-index: 2000;
    top: 12px;
    right: 16px;
    color: #2A4562;
}

.info_grid {
    display: flex;
    flex-direction: column;
    margin-left: 18px;
    gap: 18px;
    font-size: 10px;
}
.info_row {
    display: flex;
    gap: 6px;
    align-items: baseline;
}
.label {
    font-weight: 609;
    color: #B41A1A;
}

.value {
    color: #2A4562;
}

#idImage {
    height: 200px;
    width: 150px;
    border-radius: 12px;
}

.id_cont {
    margin-top: 30px;
}

/* tracks */
.tracks_display {
    background-color: #B41A1A;
    width: 1100px;
    height: 46px;
    position: relative;
    text-align: center;
    border-radius: 24px;
    display: flex;
    justify-content: center;
    gap: 46px;
    align-items: center;
}

.track_cont {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.track_name {
    position: relative;
    z-index: 2;
    color: #FDECDC;
    transition: color 0.1s ease;
    font-size: 12px;
    cursor: pointer;
    background-color: transparent;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0 10px;
}

.track_name.active {
    color: #B41A1A;
}

.track_title {
    color: #B41A1A;
    font-size: 20px;
    text-align: center;
    padding: 40px 0 30px;
    font-family: 'Cormorant Garamond', serif;
    font-weight: 600;

}

.track_selected {
    height: 46px;
    position: absolute;
    left: 0;
    top: 0;
    border-radius: 24px;
    transition: transform 0.35s ease, opacity 0.2s ease;
    z-index: 1;
    display: flex;
    justify-content: center;
    padding: 20px;
    box-shadow: inset -4px -4px 9px 2px #ffb9b9;
    opacity: 0;
    pointer-events: none;
}

.embed_cover {
    height: 352px;
    width: 300px;
    border-radius: 8px;
    position: absolute;
    background-image: url(img/embed_cover.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    opacity: 1;
    transition: opacity 2s ease;
}

.embed_cover.active {
    opacity: 0;
    pointer-events: none;
}

.track_selected.active {
    opacity: 1;
}

.vinyl_play {
    width: 300px;
    height: 286px;
    background: transparent;
}

@keyframes spin {
    from { transform: rotate(0deg); }
    to { transform: rotate(360deg); }
}

.vinyl_play.spinning {
    animation: spin 15s linear infinite;
}

.music_player {
    display: flex;
    justify-content: space-between;
    gap: 120px;
    padding-top: 50px;
}

a, a:hover, a:focus, a:active {
    text-decoration: none !important;
}
/* polaroid */

.pola_title {
    color: #B41A1A;
    text-align: center;
    padding: 20px 10px;
    font-family: 'Cormorant Garamond', serif;
    font-weight: 600;
}

.picture_section {
    display: flex;
    justify-content: center;
    gap: 30px;
    padding-bottom: 50px;
}

.carousel {
    width: 550px;
    height: 400px;
    object-fit: fill;
}

.carousel-inner {
    width: 550px;
    height: 400px;
}

/* photobooth */

.photobooth {
    width: 550px;
    height: 400px;
    position: relative;
    overflow: hidden;
}

#camera {
    position: absolute;
    top: 50%;
    left: 50%;
    height: 100%;
    width: auto;
    transform: translate(-50%, -50%);
}

.photobooth video {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

#capture_btn {
    position: absolute;
    bottom: 12px;
    left: 220px;
    background-color: #B41A1A;
    color: #FDECDC;
    font-family: sans-serif;
    font-weight: 600;
    border: none;
    border-radius: 18px;
    padding: 8px 18px;
    cursor: pointer;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.15);
}

#capture_btn:focus, #capture_btn:active {
    outline: none;
    box-shadow: none;
}

#capture_btn:hover {
    transform: translateY(-6px);
    background-color: #FDECDC;
    color: #B41A1A;
    transition: 0.5s ease;
}

.flash {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: white;
    opacity: 0;
    pointer-events: none;
}

.flash.active {
    animation: flashEffect 0.3s ease;
}

.wall_section {
    background-color: #FDECDC;
}

.footer_cont {
    display: flex;
    justify-content: space-around;
    box-shadow: 0 -2px 4px rgba(0, 0, 0, 0.15);
    padding: 30px 56px;
}

.footer_socials {
    display: flex;
    gap: 68px;
    box-sizing: border-box;
}

.footer_main h3 {
    color: #B41A1A;
    font-weight: 750;
    font-family: 'Cormorant Garamond', serif;
}

.socials {
    display: flex;
    flex-direction: column;
    gap: 12px;
}

.footer_line {
    background-color: #B41A1A;
    height: 2px;
    width: 320px;
    margin: 12px 0 12px 0;
}
.footer_socials h5 {
    color: #B41A1A;
    font-family: sans-serif;
    font-weight: 550;
}
.footer_cont p {
    font-size: 12px;
    margin: 24px 0 36px;
}

.fa_icon {
    color: #B41A1A;
}

.twt_directory {
    background-color: #FDECDC;
    border-radius: 20px;
    color: #B41A1A;
    padding: 12px 12px;
    border: 1px solid #B41A1A;
}

.twt_directory:hover .heart {
    background-color: #B41A1A;
    color: #FDECDC;
}
.twt_directory:hover {
    background-color: #B41A1A;
    color: #FDECDC;
}

.link a {
    color: #B41A1A;
    font-size: 16px;
    padding-left: 24px;
}

.footer_bottom {
    font-size: 12px;
    font-weight: 560;
    color: #2A4562;
    display: flex;
    justify-content: center;
    align-items: center;
}

@keyframes flashEffect {
    0% { opacity: 0;}
    20% { opacity: 1;}
    100% { opacity: 0;}
}



@media screen and (max-width: 960px) {
    .navbar_cont {
        display: flex;
        justify-content: space-between;
        height: 80px;
        width: 100%;
        z-index: 999;
        max-width: 1300px;
        padding: 0;
    }

    .navbar_menu {
        display: flex;
        gap: 20px;
        flex-direction: column;
        margin: 0;
        width: 100%;
        position: absolute;
        top: -1000px;
        opacity: 0;
        transition: all 0.5s ease;
        z-index: -1;
        background-color: #FDECDC;
    }

    .navbar_menu.active {
    top: 100%;
    opacity: 1;
    transition: all 0.5s ease;
    z-index: 99;
    height: 40vh;
    font-size: 20px;
    }

    .navbar_icon {
        padding-left: 25px;
    }

    .navbar_toggle .bar {
        width: 25px;
        height: 3px;
        margin: 5px auto;
        transition: all 0.3s ease-in-out;
        background: #2A4562;
        display: block;
    }

    .menu_item {
        width: 100%;
        text-align: center;
        display: table;
    }

    #mobile_menu {
        position: absolute;
        top: 20%;
        right: 5%;
        transform: translate(5%, 20%);
    }

    #shop_tag {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 50%;
        height: 50px;
        margin: 0;
    }

    .navbar_toggle {
        cursor: pointer;
    }

    #mobile_menu.is-active .bar:nth-child(2) {
        opacity: 0;
    }

    #mobile_menu.is-active .bar:nth-child(1) {
        transform: translateY(8px) rotate(45deg);
    }

    #mobile_menu.is-active .bar:nth-child(3) {
        transform: translateY(-8px) rotate(-45deg);
    }

    .hero_page {
        flex-direction: column;
        gap: 0px;
        padding-bottom: 50px;
    }

    .hero_img_cont {
        margin-top: 10px;
        margin-bottom: -10px;
        padding-bottom: 0;
    }

    .hero_sect {
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    .mem_title {
        padding-bottom: 16px;
    }

    .members_cards {
    display: flex;
    flex-wrap: wrap;
    padding: 4px 10px;
    }  

    .each_mem {
    padding: 10px;
    padding-top: 0;
    }

    .tracks_display {
        width: 100px;
        height: 380px;
        position: relative;
        gap: 8px;
        display: flex;
        flex-wrap: wrap;
        flex-direction: column;

    }

    .track_selected.active {
        opacity: 0;
    } 

    .track_name {
        font-size: 10px;
        padding: 4 4;
    }

    .track_name.active {
        color: #dbff87;
    }

    .track_cont {
        display: flex;
        flex-direction: row;
        gap: 48px;
        justify-content: center;
        align-items: center;
    }

    .music_player {
        display: flex;
        flex-direction: column;
        gap: 16px;
        justify-content: center;
        align-items: center;
    }

    .vinyl_play {
        height: 150px;
        width: 150px;
        
    }

    .track_embed {
        height: 350px;
    }

    .picture_section {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    .twt_directory {
        padding: 8px;
    }
    
    .footer_main p {
        margin: 0 0 12px;
    }

    .footer_line {
        width: 260px;
    }

    .footer_socials {
        display: flex;
        flex-direction: row;
        gap: 24px;
    }

    .socials a {
        font-size: 12px;
        margin: 0;
    }

    .footer_cont {
        padding: 24px 0;
        gap: 4px;
    }

    body {
        overflow-x: hidden;
    }
}